/* Financial Overview */

.overview {
    display: flex;
    justify-content: center;
    align-items: center;
}

.overview-content__container {
    height: 80%;
    width: 80%;
    background-color: red;
    z-index: 1;
    filter: drop-shadow(5px 5px 10px rgba(0, 0, 0, 0.25));
}

.profile-header__container {
    background-color: #D9D9D9;
    height: 20%;
    width: 100%;
    display: flex;
    align-items: center;
    padding-left: 5%;
}

.profile-content__container {
    height: 80%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
    display: flex;
    flex-direction: column;
}

.overview-accounts__container {
    width: 100%;
    min-height: 45%;
}

.overview-accounts-header {
    min-height: 10%;
    width: 100%;
    display: flex;
    align-items: center;
}

.overview-accounts-content__container {
    height: 90%;
    width: 100%;
    background-color: #D9D9D9;
    border-radius: 20px;
}

.overview-accounts-content-acc__container {
    min-height: 25%;
    width: 100%;
    border-bottom: #656565 1px solid;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 5%;
    padding-right: 5%;
}

.overview-accounts__container p {
    margin: 0;
    padding: 0;
}

/* Monthly Expenses */

.total-expenses-content__container {
    width: 100%;
    min-height: 30%;
    background-color: #D9D9D9;
    border-radius: 20px;

    display: flex;
    flex-direction: column;
    align-items: center;
}

.total-expenses-content-title__container {
    height: 50%;
    width: 80%;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.total-expenses-content-title__container p {
    margin: 0;
    padding: 0;
}

.total-expenses-content-target__container {
    height: 50%;
    width: 80%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    text-align: center;
}

.total-expenses-content-target__container p {
    margin: 0;
    padding: 0;
}

.monthly-expense-content__container {
    width: 100%;
    min-height: 30%;
}



.monthly-expense-content-title__container {
    min-height: 10%;
    width: 100%;
    display: flex;
    align-items: center;
}

.monthly-expense-content-title__container p {
    margin: 0;
    padding: 0;
}

.monthly-expense-content-top__container {
    height: 33.33%;
    width: 100%;
    background-color: #D9D9D9;
    border-radius: 20px 20px 0 0;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 10% 0 10%;
}

.monthly-expense-content-bot__container {
    border-top: solid 1px #656565;
    height: 33.33%;
    width: 100%;
    background-color: #D9D9D9;
    border-radius: 0 0 20px 20px;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 10% 0 10%;
}

.monthly-expenses__container {}

.monthly-expenses-config__container {}



/* Profile Information */
.profile_circle_background {

    position: absolute;
    left: -42%;
    top: -25%;
    background-color: #39536A;
    width: 75.347%;
    border-radius: 100%;
    filter: drop-shadow(5px 5px 10px rgba(0, 0, 0, 0.25))
}

.profile_circle_background::before {
    content: "";
    display: block;
    padding-top: 100%;
}

.content_background {
    width: 75%;
    height: 100%;
    position: absolute;
    right: 0;
}

.upper_content {
    height: 44.82%;
    width: 100%;
}

.profile-picture_container {
    height: 59.477%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: end;
}

.profile-pic {
    position: relative;
    width: 13.88%;
    background-color: black;
    border-radius: 50%;
    filter: drop-shadow(5px 5px 10px rgba(0, 0, 0, 0.25))
}

.profile-pic::before {
    content: "";
    display: block;
    padding-top: 100%;
}

.username_container {
    height: 40.533%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.username_box {
    width: 42.66%;
    height: 38.548%;
    background-color: white;
    border-radius: 20px;
    filter: drop-shadow(5px 5px 10px rgba(0, 0, 0, 0.25));
    display: flex;
    justify-content: center;
    align-items: center;
}

.lower_content {
    height: 55.18%;
    width: 100%;
    display: flex;
    justify-content: center;
}

.content_container {
    width: 86.574%;
    height: 90.44%;
    background-color: white;
    filter: drop-shadow(5px 5px 10px rgba(0, 0, 0, 0.25));
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.user-information_column_container {
    width: 100%;
    height: 90%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;

}

.user-information_row_container {
    width: 90%;
    height: 12%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;


}

.outer-user-information_row_container {
    width: 20%;
    height: 100%;
    background-color: var(--pennyplanner-gray);
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.inner-user-information_row_container {
    width: 50%;
    height: 100%;
    background-color: var(--pennyplanner-gray);
    border-radius: 20px;
    display: flex;
    padding-left: 3%;
    justify-content: left;
    align-items: center;
}

.readonly-input {
    border: none;
    outline: none;
}

.user-buttons_container {
    width: 60%;
    height: 12%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.user-info-button {
    width: 45%;
    height: 100%;
    background-color: var(--pennyplanner-blue);
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Notifications */

.all-notifications__container {
    height: 80%;
    width: 80%;
    background-color: #D9D9D9;
    display: flex;
    flex-direction: column;
    overflow: auto;
    overflow-y: auto;
    filter: drop-shadow(5px 5px 10px rgba(0, 0, 0, 0.25))
}

.notification__container {
    min-height: 10%;
    width: 100%;
    background-color: #D9D9D9;
    border-bottom: solid 1px #656565;
    z-index: 1;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 10% 0 10%;

}

.notifications-logo__container {
    width: 80%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 50%;
    left: 10%;
}

/* FAQ */

.user-faq_container {
    position: absolute;
    top: 0;
    right: 0;
    min-height: 100vh;
    width: 75%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5vh;
}

.user-faq-header_container {
    width: 100%;
    height: 20vh;
    display: flex;
    justify-content: center;
    align-items: center;
}


/* Profil Configuration */

.config__container {
    width: 80%;
    height: 80%;
    overflow: auto;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    gap: 5%;

}

.config-content__container {
    width: 100%;
    min-height: 30%;
}

.config-content-top__container {
    height: 33.33%;
    width: 100%;
    background-color: #D9D9D9;
    border-radius: 20px 20px 0 0;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 10% 0 10%;
}

.config-content-mid__container {
    height: 33.33%;
    width: 100%;
    background-color: #D9D9D9;
    border-top: solid 1px #656565;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 10% 0 10%;
}

.config-content-bot__container {
    border-top: solid 1px #656565;
    height: 33.33%;
    width: 100%;
    background-color: #D9D9D9;
    border-radius: 0 0 20px 20px;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 10% 0 10%;
}

.config-content-more__container {
    width: 100%;
    height: 10%;
    background-color: #D9D9D9;
    border-radius: 20px;

    display: flex;
    padding: 0 10% 0 10%;
    align-items: center;
}

.settings-log-out__container {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 10%;

}

.settings-log-out-button {
    width: 50%;
    height: 100%;
    background-color: #D9D9D9;
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}


/* Goals */

.goal-content__container {
    width: 100%;
    min-height: 30%;
    background-color: #D9D9D9;
    border-radius: 20px;

    display: flex;
    flex-direction: column;
    align-items: center;

}

.goal-content-title__container {
    height: 33.33%;
    width: 80%;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

}

.goal-content-title__container p {
    margin: 0;
    padding: 0;
}

.goal-content-target__container {
    height: 33.33%;
    width: 80%;
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: flex-start;
    text-align: center;

}

.goal-content-target__container p {
    margin: 0;
    padding: 0;
}

.goal-content-progress__container {
    height: 33.34%;
    width: 80%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.goal-progress-bar-background__container {
    width: 100%;
    height: 30%;
    border-radius: 20px;
    background-color: white;
}

.goal-progress-bar__container {
    width: 80%;
    background-color: #39536A;
    height: 100%;
    border-radius: 20px;

}


/* add new goal */

.goals-add-new__container {
    width: 100%;
    min-height: 15%;
    background-color: #D9D9D9;
    border-radius: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 10% 0 10%;
}

.goals-goal-selector__container {
    width: 100%;
    min-height: 75%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: red;
    gap: 5%;
}

.goals-goal-choice__container {
    width: 100%;
    height: 80%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding-left: 10%;
    background-color: blue;
    border-radius: 20px;
}


.goals-add-new__container:hover {
    box-shadow: 0px 0px 0px 1px black inset;
}

/* Categories */

.categories-content__container {
    width: 100%;
    min-height: 30%;
}

.generated-categories-header {
    min-height: 10%;
    width: 100%;
    display: flex;
    align-items: center;
}

.generated-categories-header p {
    padding: 0;
    margin: 0;
}


.categories-content-top__container {
    height: 7vh;
    width: 100%;
    background-color: #D9D9D9;
    border-radius: 20px 20px 0 0;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 10% 0 10%;
}

.categories-content-mid__container {
    height: 7vh;
    width: 100%;
    background-color: #D9D9D9;
    border-top: solid 1px #656565;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 10% 0 10%;
}

.categories-content-bot__container {
    border-top: solid 1px #656565;
    height: 7vh;
    width: 100%;
    background-color: #D9D9D9;
    border-radius: 0 0 20px 20px;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 10% 0 10%;
}